@use "../../../../../scss/vars";

:host {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1rem;
  height: 1rem;
  background-color: vars.$color-grey-200;
  border-radius: 100%;
  border: 2px solid vars.$color-orange-200-opacity-30;
}

div {
  width: .375rem;
  height: .375rem;
  background-color: vars.$color-orange-200-opacity-30;
  border-radius: 100%;
}

:host-context([color="secondary"]) {
  background-color: vars.$color-orange-100;
  border-color: vars.$color-orange-100;
  box-shadow: 0 2px 8px rgba(236, 89, 56, 0.5);

  div {
    background-color: vars.$color-grey-100;
  }
}

:host-context([color="tertiary"]) {
  background-color: vars.$color-grey-100;
  border-color: vars.$color-orange-100;
  box-shadow: 0 2px 8px rgba(236, 89, 56, 0.5);

  div {
    background-color: vars.$color-orange-100;
  }
}
